Bug 639486 (CVE-2010-3445)

Summary: CVE-2010-3445 wireshark: stack overflow in BER dissector
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: jlayton, jsafrane, ksrot, rvokal
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-06-20 15:43:25 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 549582, 612240, 657534, 657535, 676781, 682932, 833994    
Bug Blocks:    

Description Vincent Danen 2010-10-01 21:46:20 UTC
It was reported [1] that all of the BER dissectors in Wireshark were vulnerable to a stack overflow, which would cause Wireshark to crash.  The upstream bugzilla [2] includes a capture file that triggers the recursion in dissect_ber_unknown() to demonstrate the flaw.  This has been corrected upstream [3] and is scheduled to be included in the forthcoming 1.4.1 and 1.2.12 releases.

[1] http://archives.neohapsis.com/archives/bugtraq/2010-09/0088.html
[2] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5230
[3] http://anonsvn.wireshark.org/viewvc?view=rev&revision=34111

Comment 4 errata-xmlrpc 2010-11-30 18:32:41 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2010:0924 https://rhn.redhat.com/errata/RHSA-2010-0924.html

Comment 5 Vincent Danen 2010-11-30 18:52:56 UTC
Statement:

The Red Hat Security Response Team has rated this issue as having low security impact, a future update to wireshark in Red Hat Enterprise Linux 4 and 5 may address this flaw.

This issue was addressed in Red Hat Enterprise Linux 6 via https://rhn.redhat.com/errata/RHSA-2010-0924.html.

Comment 6 Huzaifa S. Sidhpurwala 2011-03-03 09:19:39 UTC
Created wireshark tracking bugs for this issue

Affects: fedora-all [bug 676781]

Comment 7 Huzaifa S. Sidhpurwala 2011-03-03 09:29:03 UTC
Created wireshark tracking bugs for this issue

Affects: fedora-all [bug 676781]

Comment 9 errata-xmlrpc 2011-03-21 19:39:34 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2011:0370 https://rhn.redhat.com/errata/RHSA-2011-0370.html